<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Popunder Example on Click</title>
    <script>
        // Array of random direct links
        const links = [
            'https://pandamovies.pw',
            'https://pandamovies.pw',
            'https://pandamovies.pw',
            'https://pandamovies.pw',
            'https://pandamovies.pw'
        ];

        // Function to open popunder
        function openPopunder() {
            // Select a random link from the array
            const randomLink = links[Math.floor(Math.random() * links.length)];

            // Open a new window/popunder
            const popunder = window.open(randomLink, '_blank');

            // Check for popunder support and focus on the original window
            if (popunder) {
                popunder.blur(); // Optional, move focus away from the new window
                window.focus(); // Bring focus back to the original window
            }
        }

        // Prevent multiple popunders from opening on rapid clicks
        let isPopunderOpen = false;

        // Attach click event listener to open popunder on any click
        document.addEventListener('click', function() {
            if (!isPopunderOpen) {
                isPopunderOpen = true; // Disable further popunders for a moment
                openPopunder(); // Open the popunder

                // Reset the flag after a brief delay to allow for more clicks
                setTimeout(() => {
                    isPopunderOpen = false; // Allow another popunder to open after 1 second
                }, 20000); // 1000 milliseconds = 1 second
            }
        });

    </script>
</head>
<body>
    <h1>Popunder Example on Click</h1>
    <p>This page will open a popunder when you click anywhere on the page.</p>
</body>
</html>
